Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class MimeResponseImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
          org.jboss.portal.portlet.impl.jsr168.api.MimeResponseImpl

All Implemented Interfaces:
  javax.portlet.MimeResponse, PortletResponse

Direct Known Subclasses:
  RenderResponseImpl, ResourceResponseImpl

    public abstract class MimeResponseImpl

extends PortletResponseImpl
implements javax.portlet.MimeResponse

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`protected int` | `bufferSize` Not really used but we need it to memorize what the client set optionally.
`protected CacheControlImpl` | `cacheControl` The cache control.

Fields inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`invocation, preq`

Fields inherited from interface javax.portlet.MimeResponse
`CACHE_SCOPE, ETAG, EXPIRATION_CACHE, MARKUP_HEAD_ELEMENT, NAMESPACED_RESPONSE, PRIVATE_SCOPE, PUBLIC_SCOPE, USE_CACHED_CONTENT`

Constructor Summary
`MimeResponseImpl(PortletInvocation invocation, PortletRequestImpl preq)`

Method Summary
`void` | `addProperty(java.lang.String key, java.lang.String value)` Adds a String property to an existing key to be returned to the portal.
`PortletURL` | `createActionURL()`
`protected abstract ContentResponse` | `createMarkupResponse(ResponseProperties properties, java.util.Map<java.lang.String,java.lang.Object> attributeMap, java.lang.String contentType, byte[] bytes, java.lang.String chars, CacheControl cacheControl)`
`PortletURL` | `createRenderURL()`
`javax.portlet.ResourceURL` | `createResourceURL()`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`javax.portlet.CacheControl` | `getCacheControl()`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContentType()`
`java.util.Locale` | `getLocale()`
`java.io.OutputStream` | `getPortletOutputStream()`
`PortletInvocationResponse` | `getResponse()`
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `setBufferSize(int bufferSize)`
`void` | `setContentType(java.lang.String contentType)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletResponseImpl
`addProperty, addProperty, createElement, encodeURL, getNamespace, getProperties, getProperties, getRealResponse, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletResponse
`encodeURL, setProperty`

Field Detail

### bufferSize

    protected int bufferSize

  Not really used but we need it to memorize what the client set optionally.

### cacheControl

    protected CacheControlImpl cacheControl

  The cache control.

Constructor Detail

### MimeResponseImpl

    public MimeResponseImpl(PortletInvocation invocation,
                            PortletRequestImpl preq)

Method Detail

### createMarkupResponse

    protected abstract ContentResponse createMarkupResponse(ResponseProperties properties,
                                                            java.util.Map<java.lang.String,java.lang.Object> attributeMap,
                                                            java.lang.String contentType,
                                                            byte[] bytes,
                                                            java.lang.String chars,
                                                            CacheControl cacheControl)

### getResponse

    public PortletInvocationResponse getResponse()

  Specified by:
    `getResponse` in class `PortletResponseImpl`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.portlet.MimeResponse`

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in interface `javax.portlet.MimeResponse`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in interface `javax.portlet.MimeResponse`
  Throws:
    `java.io.IOException`

### getPortletOutputStream

    public java.io.OutputStream getPortletOutputStream()
                                                throws java.io.IOException

  Specified by:
    `getPortletOutputStream` in interface `javax.portlet.MimeResponse`
  Throws:
    `java.io.IOException`

### createRenderURL

    public PortletURL createRenderURL()

  Specified by:
    `createRenderURL` in interface `javax.portlet.MimeResponse`

### createActionURL

    public PortletURL createActionURL()

  Specified by:
    `createActionURL` in interface `javax.portlet.MimeResponse`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.portlet.MimeResponse`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.portlet.MimeResponse`

### setBufferSize

    public void setBufferSize(int bufferSize)

  Specified by:
    `setBufferSize` in interface `javax.portlet.MimeResponse`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.portlet.MimeResponse`

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Specified by:
    `flushBuffer` in interface `javax.portlet.MimeResponse`
  Throws:
    `java.io.IOException`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.portlet.MimeResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.portlet.MimeResponse`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.portlet.MimeResponse`

### createResourceURL

    public javax.portlet.ResourceURL createResourceURL()

  Specified by:
    `createResourceURL` in interface `javax.portlet.MimeResponse`

### addProperty

    public void addProperty(java.lang.String key,
                            java.lang.String value)
                     throws java.lang.IllegalArgumentException

  Description copied from interface: `PortletResponse`
  Adds a String property to an existing key to be returned to the portal.

  This method allows response properties to have multiple values.

  Properties can be used by portlets to provide vendor specific information to the portal.

  Specified by:
    `addProperty` in interface `PortletResponse`
  Overrides:
    `addProperty` in class `PortletResponseImpl`
  Parameters:
    `key` - the key of the property to be returned to the portal
    `value` - the value of the property to be returned to the portal
  Throws:
    `java.lang.IllegalArgumentException` - if key is `null`.

### getCacheControl

    public javax.portlet.CacheControl getCacheControl()

  Specified by:
    `getCacheControl` in interface `javax.portlet.MimeResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.